Take the 2-minute tour ×
Super User is a question and answer site for computer enthusiasts and power users. It's 100% free, no registration required.

I tried installing aptana in Ubuntu but in vain. Can any one tell me a detailed procedure of how to do it?

share|improve this question

migrated from stackoverflow.com Aug 1 '09 at 19:43

This question came from our site for professional and enthusiast programmers.

    
Do you want it installed as a whole, or just to plug-it into an existing Eclipse installation ? Also, which version of Aptana ? –  Pascal MARTIN Aug 1 '09 at 18:14
    
Aptana1.5. yeah i want it installed as a whole ..!! –  mekasperasky Aug 1 '09 at 18:15
    
and i have a 32 bit system.. –  mekasperasky Aug 1 '09 at 18:15

1 Answer 1

Well,

Once the download is over, unzip the downloaded archive :
Yeah, you are using a 32bits machine, so this will not be exactly that name -- I'm on 64 bits.

$ unzip Aptana_Studio_Setup_Linux_x86_64_1.5.1.zip
$ cd Aptana\ Studio\ 1.5/
$ ./AptanaStudio &

And this should launch it.


If this doesn't work, you might want to take a look at the Aptana Studio System Requirements page.
Are you OK with those ?

One thing you should take care, especially, is the version of JAVA you're using : you should not use the "non-sun" version.

What I mean is you should have installed a package like sun-java5-bin or sun-java5-jre or sun-java6-bin or sun-java6-jre ; is that OK for you ?

That means when using "java -version" from the command-line, you should get something like this :

$ java -version
java version "1.6.0_0"
OpenJDK Runtime Environment (IcedTea6 1.4.1) (6b14-1.4.1-0ubuntu10)
OpenJDK 64-Bit Server VM (build 14.0-b08, mixed mode)

Note the first line is the official "java" ; others, like OpenJDK must come after that one;


If it still doesn't work, what kind of error do you get ?
Is there any error displayed ? What if you launch it from the command-line (see what I did earlier) : do you have anything interesting displayed there ?


For a couple more ideas, you can also take a look at links like those :

Hope this helps ;-)

share|improve this answer
    
I used to have some trouble running Eclipse with the pre installed JVM on Ubuntu (GIJ), and had to switch to the original Sun JVM. –  Daff Aug 3 '09 at 6:45
    
I ran into the same kind of troubles, with Eclipse freezing and all that, with a "non-sun" JVM –  Pascal MARTIN Aug 3 '09 at 11:08

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.